Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom
Interface ResettableAtomThreadingContentHandler

All Superinterfaces:
  AtomThreadingContentHandler, org.xml.sax.ContentHandler, ResettableContentHandler

All Known Subinterfaces:
  DefaultAtomThreadingContentHandler

All Known Implementing Classes:
  LeafAtomThreadingContentHandler

    public interface ResettableAtomThreadingContentHandler

extends AtomThreadingContentHandler

Extension of `AtomThreadingContentHandler` that allows to builds processing chains of these handlers.

Since:
  6.0.1

Method Summary
`AtomThreadingContentHandler` | `getAtomThreadingContentHandler()` Returns the atom threading content handler that is currently attached to the chain
`void` | `setAtomThreadingContentHandler(AtomThreadingContentHandler aHandler)` Assign a new atom threading content handler that this handler will reroute its events onto.

Methods inherited from interface com.ibm.portal.resolver.atom.AtomThreadingContentHandler
`endInReplyTo, endTotal, startInReplyTo, startTotal`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### setAtomThreadingContentHandler

    void setAtomThreadingContentHandler(AtomThreadingContentHandler aHandler)

  Assign a new atom threading content handler that this handler will reroute its events onto. If the content handler is not assigned, then the events will be silently ignored

  Parameters:
    `aHandler` - target content handler for the events.

### getAtomThreadingContentHandler

    AtomThreadingContentHandler getAtomThreadingContentHandler()

  Returns the atom threading content handler that is currently attached to the chain

  Returns:
    the target content handler

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD